it.csi.mddtools.guigen

## Interface ColumnModel

- All Superinterfaces:
    org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier

      public interface ColumnModel
      extends org.eclipse.emf.ecore.EObject

  A representation of the model object 'Column Model'. Modello delle colonne di una tabella (Table). Determina quali colonne vengono visualizzate, in che ordine e altre caratteristiche della tabella.

  The following features are supported:

  - `Columns`
  - `Value Selector`
  See Also:
    `GuigenPackage.getColumnModel()`

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.eclipse.emf.common.util.EList<Column>` | `getColumns()` Returns the value of the 'Columns' containment reference list.
    `java.lang.String` | `getValueSelector()` Returns the value of the 'Value Selector' attribute
    `void` | `setValueSelector(java.lang.String value)` Sets the value of the '`Value Selector`' attribute

    - ### Methods inherited from interface org.eclipse.emf.ecore.EObject

      `eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

    - ### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

      `eAdapters, eDeliver, eNotify, eSetDeliver`

- - ### Method Detail

    - #### getColumns

          org.eclipse.emf.common.util.EList<Column> getColumns()

      Returns the value of the 'Columns' containment reference list. The list contents are of type `Column`.

      If the meaning of the 'Columns' containment reference list isn't clear, there really should be more of a description here...

      Elenco (ordinato) delle colonne che devono essere visualizzate.
      Returns:
        the value of the 'Columns' containment reference list.
      See Also:
        `GuigenPackage.getColumnModel_Columns()`

    - #### getValueSelector

          java.lang.String getValueSelector()

      Returns the value of the 'Value Selector' attribute.

      If the meaning of the 'Value Selector' attribute isn't clear, there really should be more of a description here...

      seleziona il field del record di cui è composta la collezione collegata alla Table che deve essere utilizzato come valore di selezione. Utilizzato solo in congiunzione con un value-binding (quindi con possibilità di selezione). Es: se:
      - la tabella è collegata ad una collezione di un tipo Persona, costituito dai field:
        - codFisc: String
        - nome: String
        - cognome: String
      - il value-binding è associato ad un appdata di tipo String
      - il valueSelector è impostato come "codFisc"
      Allora selezionando una riga della tabella l'application data di value-binding sarà impostato con il codice fiscale del record corrispondente.
      Returns:
        the value of the 'Value Selector' attribute.
      See Also:
        `setValueSelector(String)`, `GuigenPackage.getColumnModel_ValueSelector()`

    - #### setValueSelector

          void setValueSelector(java.lang.String value)

      Sets the value of the '`Value Selector`' attribute.
      Parameters:
        `value` - the new value of the 'Value Selector' attribute.
      See Also:
        `getValueSelector()`